Subject: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: "Drew Adams" <[email-masked]>
Date: Mon, 20 Oct 2008 21:46:07 -0700

> From: Kenichi Handa Sent: Monday, October 20, 2008 7:41 PM
> Ok, I found what is the problem.  In Emacs 22, iso-8859-1 is
> a coding of type `iso-2022', but in Emacs 23, it's of type
> `charset', and I forgot to handle latin-extra-code-table
> (which has nil for the byte 0x80) in the detector of that
> kind of coding system.  As I've just installed a fix, the
> latest code should detect vline.el correctly as utf-8.
> 
> But, the reason why it's detected as utf-8 is because the
> file contains a byte 0x80.  If a file doesn't contain a byte
> in the range 0x80..0x9F and nil in latin-extra-code-table,
> it's impossible to distinguish iso-latin-1 from utf-8.
> 
> So, in general, it's a good idea to add coding-tag: utf-8
> for utf-8 files.

Thanks very much for following up with this, especially after the bug had been
closed. I've sent your message to the author.